### Class

# Snapd Channel

since: 1.22

#### Description [src]

    final class Snapd.Channel : GObject.Object
    {
      /* No available fields */
    }

`SnapdChannel` is an opaque data structure and can only be accessed using the provided functions.

Available since: 1.22

#### Ancestors

- GObject

#### Instance methods

###### snapd_channel_get_branch

Get the branch this channel is tracking.

since: 1.31

###### snapd_channel_get_confinement

Get the confinement this snap is using, e.g. `SNAPD_CONFINEMENT_STRICT`.

since: 1.22

###### snapd_channel_get_epoch

Get the epoch used on this channel, e.g. “1”.

since: 1.22

###### snapd_channel_get_name

Get the name of this channel, e.g. “stable”.

since: 1.22

###### snapd_channel_get_released_at

Get the date this revision was released into the channel or `NULL` if unknown.

since: 1.46

###### snapd_channel_get_revision

Get the revision for this snap. The format of the string is undefined. See also snapd_channel_get_version().

since: 1.22

###### snapd_channel_get_risk

Get the risk this channel is on, one of `stable`, `candidate`, `beta` or `edge`.

since: 1.31

###### snapd_channel_get_size

Get the download size of this snap.

since: 1.22

###### snapd_channel_get_track

Get the track this channel is on.

since: 1.31

###### snapd_channel_get_version

Get the version for this snap. The format of the string is undefined. See also snapd_channel_get_revision().

since: 1.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Channel:confinement

No description available.

###### Snapd.Channel:epoch

No description available.

###### Snapd.Channel:name

No description available.

###### Snapd.Channel:released-at

No description available.

###### Snapd.Channel:revision

No description available.

###### Snapd.Channel:size

No description available.

###### Snapd.Channel:version

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdChannelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.